=== modified file 'change-override'
--- change-override	2015-08-08 00:12:23 +0000
+++ change-override	2015-08-08 00:31:04 +0000
@@ -137,7 +137,8 @@
 
 def main():
     parser = OptionParser(
-        usage="usage: %prog -s suite [options] package [...]")
+        usage="usage: %prog -s suite [options] package [...]",
+        epilog=lputils.ARCHIVE_REFERENCE_DESCRIPTION)
     parser.add_option(
         "-l", "--launchpad", dest="launchpad_instance", default="production")
     parser.add_option(

=== modified file 'copy-package'
--- copy-package	2015-08-08 00:15:44 +0000
+++ copy-package	2015-08-08 00:31:04 +0000
@@ -95,7 +95,9 @@
 
 
 def main():
-    parser = OptionParser(usage="usage: %prog [options] package [...]")
+    parser = OptionParser(
+        usage="usage: %prog [options] package [...]",
+        epilog=lputils.ARCHIVE_REFERENCE_DESCRIPTION)
     parser.add_option(
         "-l", "--launchpad", dest="launchpad_instance", default="production")
     parser.add_option(

=== modified file 'edit-acl'
--- edit-acl	2015-08-08 00:15:44 +0000
+++ edit-acl	2015-08-08 00:31:04 +0000
@@ -30,6 +30,7 @@
 import launchpadlib.errors
 from launchpadlib.launchpad import Launchpad
 
+import lputils
 
 if sys.version < '3':
     input = raw_input
@@ -643,11 +644,12 @@
 if __name__ == '__main__':
     parser = OptionParser(
         usage="usage: %prog [options] "
-              "query|add|delete|create|modify|copy|check")
+              "query|add|delete|create|modify|copy|check",
+        epilog=lputils.ARCHIVE_REFERENCE_DESCRIPTION)
 
     parser.add_option(
         "-l", "--launchpad", dest="launchpad_instance", default="production")
-    parser.add_option("-A", "--archive", dest="archive")
+    parser.add_option("-A", "--archive", metavar="ARCHIVE")
     parser.add_option("-S", "--series", dest="series")
     parser.add_option("-p", "--person", dest="person", action="append")
     parser.add_option("-c", "--component", dest="component")

=== modified file 'lputils.py'
--- lputils.py	2015-02-06 16:50:11 +0000
+++ lputils.py	2015-08-08 00:31:04 +0000
@@ -36,6 +36,11 @@
     "Backports",
     )
 
+ARCHIVE_REFERENCE_DESCRIPTION = (
+    'ARCHIVE can take one of four forms: "distro" for a primary archive, '
+    '"~owner/distro/name" or "ppa:owner/distro/name" for a PPA, or '
+    '"distro/name" for a partner or copy archive.')
+
 
 def setup_location(options, default_pocket="Release"):
     archive = None

=== modified file 'queue'
--- queue	2015-08-08 00:15:44 +0000
+++ queue	2015-08-08 00:31:04 +0000
@@ -413,7 +413,8 @@
         usage="usage: %prog [options] ACTION [...]",
         description=(
             "ACTION may be one of info, fetch, show-urls, accept, reject, "
-            "override, or report."))
+            "override, or report."),
+        epilog=lputils.ARCHIVE_REFERENCE_DESCRIPTION)
     parser.add_option(
         "-l", "--launchpad", dest="launchpad_instance", default="production")
     parser.add_option("-A", "--archive", help="look in ARCHIVE")

=== modified file 'remove-package'
--- remove-package	2015-08-08 00:12:23 +0000
+++ remove-package	2015-08-08 00:31:04 +0000
@@ -85,7 +85,8 @@
 
 def main():
     parser = OptionParser(
-        usage='usage: %prog -m "comment" [options] package [...]')
+        usage='usage: %prog -m "comment" [options] package [...]',
+        epilog=lputils.ARCHIVE_REFERENCE_DESCRIPTION)
     parser.add_option(
         "-l", "--launchpad", dest="launchpad_instance", default="production")
     parser.add_option(

